var xmlHttp;						//用于保存XMLHttpRequest对象的全局变量
var ajax;
//用于创建XMLHttpRequest对象
function createXmlHttp(){
	//根据window.XMLHttpRequest对象是否存在使用不同的创建方式
	if(window.XMLHttpRequest){
		xmlHttp = new XMLHttpRequest();				  //FireFox、Opera等浏览器支持的创建方式
	}else{
		xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");//IE浏览器支持的创建方式
	}
}
//获取查询选项的回调函数
function submitPostCallBack(){
	if(xmlHttp.readyState == 4){
		createNewPost(xmlHttp.responseText);
	}
}
function cpweb_ajax_open(url){
	$.weeboxs.open(url, {title:' 编辑内容',contentType:'ajax',width:800,height:430,okBtnName:'保存',onok:function(box){submitPost()}});
	return false;
}
function displayStatus(info,time){
	if(time){
		$.weeboxs.open(info, {title:'操作提示<b>3</b>秒后自动关闭',type:'alert',modal:false,draggable:false,timeout:time, 
			onopen:function(box){
				var closetime = parseInt(box.dt.find('b').html(),10);
				var handle = setInterval(function(){
					closetime--;
					box.dt.find('b').html(closetime+'');
					if (closetime<=0) clearInterval(handle);
				}, 1000);
			}
		});
	}else{
		$.weeboxs.open(info, {title:'操作提示',type:'alert'});
	}
}
function displayStatus_id(info,id){
	if(id){
		$.weeboxs.open(info, {title:'操作提示',type:'alert',boxid:id});
	}else{
		$.weeboxs.open(info, {title:'操作提示',type:'alert',boxid:1});
	}
}
function cpweb_delete_attach(){
	$.weeboxs.open('确定删除吗，此操作不可恢复', {
		title:'操作提示',
		onok:function(box){
			delete_attach();
			box.close();
		}
	});
}
function delete_attach(){
	var id=$('#id').val();
	displayStatus_id("正在删除附件，请稍候……",1);
	$.ajax({
		type:'POST',
		url:url_delete_attach,
		data:"id="+encodeURI(id),
		success:function(xml){
			if($(xml).find('status').text()==1){
				displayStatus_id($(xml).find('info').text(),1);
				$('#attachment').val('');
				$('#attachthumb').val('');
				$('#attachfolder').val('');
				$('#attachpath').val('');
				$('#imgers').html('没有上存缩略图');
			}else if($(xml).find('status').text()==0){
				displayStatus_id($(xml).find('info').text(),1);
			}else{
				displayStatus_id('[未知操作错误]',1);
			}
		}
	});
}
function ajaxFileUpload(){
		$("#loading").ajaxStart(function(){
			$(this).show();
		}).ajaxComplete(function(){
			$(this).hide();
		});
		$.ajaxFileUpload({
			url:url_upload_attach,
			secureuri:false,
			fileElementId:'fileToUpload',
			dataType: 'xml',
			success: function (data, status)
			{
				if($(data).find('status').text()==1){
					displayStatus($(data).find('#1').text());
					$('#imgers').html('<img src="/'+$(data).find('cpweb_thumb_url').text()+'" width="200"><br />'+$(data).find('cpweb_url').text()+'　<a href="#" onclick="cpweb_delete_attach();"><img src="/Admin_App/Tpl/cpweb/Public/images/del.gif" alt="删除" align="absmiddle" /></a>');
					$('#attachment').val($(data).find('cpweb_url').text());
					$('#attachfolder').val('');
					$('#attachpath').val('');
					$('#attachthumb').val($(data).find('cpweb_thumb_url').text());
				}else if($(xml).find('status').text()==0){
					displayStatus_id($(xml).find('info').text(),1);
				}else{
					displayStatus_id('[未知操作错误]',1);
				}
			},
			error: function (data, status, e){
				displayStatus('连接错误，请与管理员联系。');
			}
		})
		return false;
}
function cpweb_upload_attach(){
	if($('#attachment').val()==''){
		ajaxFileUpload();
	}else{
		var id=$('#id').val();
		$.ajax({
			type:'POST',
			url:url_delete_attach,
			data:"id="+encodeURI(id),
			success:function(xml){
				if($(xml).find('status').text()==1){
					$('#attachment').val('');
					$('#attachthumb').val('');
					$('#attachfolder').val('');
					$('#attachpath').val('');
					$('#imgers').html('缩略图正在上存');
					ajaxFileUpload();
				}else if($(xml).find('status').text()==0){
					displayStatus_id($(xml).find('info').text(),1);
				}else{
					displayStatus_id('[未知操作错误]',1);
				}
			}
		});
	}
}
//隐藏提示信息div
function cpweb_hiddenStatus(){
    $('#Status').hide();
}
//检查是否非空
function notEmpty(obj, msg){
	str = obj.value;
	str1 = "";
	for (i = 0; i < str.length; i++)
	{
		if (str.charAt(i) != " ")
		{
			str1 = str.substr(i, str.length);
			break;
		}
	}
	if (str1 == "")
	{
		alert(msg);
		obj.value = "";
		obj.focus();
		return false;
	}else{
		return true;
	}
}
//检查是否为数字
function isNumber(obj, msg){
	if(isNaN(obj.value)){
		if (undefined == msg){
			msg = "请输入数字！";
		}
		alert(msg);
		obj.select();
		return false;
	}else{
		return true;	
	}
}
//检查密码是否相同
function isSamePwd(objPwd1, objPwd2, msg){
	pwd1 = objPwd1.value;
	pwd2 = objPwd2.value;
	if (pwd1 != pwd2){
		if (null == msg){
			alert("密码不相同！");
		}else{
			alert(msg);
		}
		objPwd2.value = "";
		objPwd2.focus();
		return false;
	}else{
		return true;
	}
}
//检查邮件地址
function isEmail(obj, msg){
	ch = obj.value;
	if((ch.indexOf("@") < 1) || (ch.indexOf(".") < 1) || (ch.indexOf(".") == ch.length - 1)){
		if (null == msg){
			alert("Email不正确！");
		}else{
			alert(msg);
		}
		obj.select();
		return false;
	}else{
		return true;
	}
}
function selAll(e){
	var a = document.getElementsByName('id[]');
	var l = a.length; while(l--) a[l].checked=e.checked;
}